#ifndef __POWER_H
#define __POWER_H

/*******************************************************************************
 * Copyright (c) PLX Technology, Inc.
 *
 * PLX Technology Inc. licenses this source file under the GNU Lesser General Public
 * License (LGPL) version 2.  This source file may be modified or redistributed
 * under the terms of the LGPL and without express permission from PLX Technology.
 *
 * PLX Technology, Inc. provides this software AS IS, WITHOUT ANY WARRANTY,
 * EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  PLX makes no guarantee
 * or representations regarding the use of, or the results of the use of,
 * the software and documentation in terms of correctness, accuracy,
 * reliability, currentness, or otherwise; and you rely on the software,
 * documentation and results solely at your own risk.
 *
 * IN NO EVENT SHALL PLX BE LIABLE FOR ANY LOSS OF USE, LOSS OF BUSINESS,
 * LOSS OF PROFITS, INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES
 * OF ANY KIND.
 *
 ******************************************************************************/

/******************************************************************************
 *
 * File Name:
 *
 *      Power.h
 *
 * Description:
 *
 *      Power Management functions
 *
 * Revision History:
 *
 *      10-01-10 : PLX SDK v6.40
 *
 ******************************************************************************/


#include "DrvDefs.h"



/**********************************************
*               Functions
**********************************************/
// Newer WDKs prefer different declaration for some functions
#if WINVER > 0x0600
    __drv_dispatchType(IRP_MJ_POWER) DRIVER_DISPATCH Dispatch_Power;
#else
    NTSTATUS
    Dispatch_Power(
        PDEVICE_OBJECT fdo,
        PIRP           Irp
        );
#endif

NTSTATUS 
Power_ForwardIrpToNextDriver(
    PDEVICE_OBJECT fdo,
    PIRP           Irp
    );

NTSTATUS 
Power_HandleIrpQueryPower(
    PDEVICE_OBJECT fdo,
    PIRP           Irp
    );

NTSTATUS 
Power_HandleIrpSetPower(
    PDEVICE_OBJECT fdo,
    PIRP           Irp
    );

IO_COMPLETION_ROUTINE  Power_CompleteSystemSetPowerIrp;
REQUEST_POWER_COMPLETE Power_PowerChangeComplete;
IO_COMPLETION_ROUTINE  Power_CompleteDevicePowerUp;



#endif
